List Webhook Endpoints
client.webhooks.list(WebhookListParams { after, limit } query ?, RequestOptionsoptions ?): CursorPage<WebhookEndpoint { id, created_at, event_types, 5 more } >
GET
/webhook_endpointsList Webhook Endpoints
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const webhookEndpoint of client.webhooks.list()) {
console.log(webhookEndpoint.id);
}200 — Example
{
"data": [
{
"id": "id",
"created_at": 0,
"event_types": [
"string"
],
"name": "name",
"object": "webhook_endpoint",
"signing_secret_hint": "signing_secret_hint",
"url": "url",
"updated_at": 0
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}Returns Examples
200 — Example
{
"data": [
{
"id": "id",
"created_at": 0,
"event_types": [
"string"
],
"name": "name",
"object": "webhook_endpoint",
"signing_secret_hint": "signing_secret_hint",
"url": "url",
"updated_at": 0
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}